=== modified file 'src/heap_xt.cc'
--- src/heap_xt.cc	2009-04-02 20:27:49 +0000
+++ src/heap_xt.cc	2009-05-27 14:42:16 +0000
@@ -31,7 +31,7 @@
 #undef xt_heap_new
 #endif
 
-#ifdef DEBUG
+#ifdef DEBUG_MEMORY
 xtPublic XTHeapPtr xt_mm_heap_new(XTThreadPtr self, size_t size, XTFinalizeFunc finalize, u_int line, c_char *file, xtBool track)
 #else
 xtPublic XTHeapPtr xt_heap_new(XTThreadPtr self, size_t size, XTFinalizeFunc finalize)
@@ -39,7 +39,7 @@
 {
 	volatile XTHeapPtr	hp;
 	
-#ifdef DEBUG
+#ifdef DEBUG_MEMORY
 	hp = (XTHeapPtr) xt_mm_calloc(self, size, line, file);
 	hp->h_track = track;
 	if (track)
@@ -67,19 +67,19 @@
 
 xtPublic void xt_check_heap(XTThreadPtr self __attribute__((unused)), XTHeapPtr hp __attribute__((unused)))
 {
-#ifdef DEBUG
+#ifdef DEBUG_MEMORY
 	xt_mm_malloc_size(self, hp);
 #endif
 }
 
-#ifdef DEBUG
+#ifdef DEBUG_MEMORY
 xtPublic void xt_mm_heap_reference(XTThreadPtr self, XTHeapPtr hp, u_int line, c_char *file)
 #else
 xtPublic void xt_heap_reference(XTThreadPtr, XTHeapPtr hp)
 #endif
 {
 	xt_spinlock_lock(&hp->h_lock);
-#ifdef DEBUG
+#ifdef DEBUG_MEMORY
 	if (hp->h_track)
 		printf("HEAP: +1 %d->%d %s:%d\n", (int) hp->h_ref_count, (int) hp->h_ref_count+1, file, (int) line);
 #endif
@@ -91,7 +91,7 @@
 {	
 	if (!hp)
 		return;
-#ifdef DEBUG
+#ifdef DEBUG_MEMORY
 	xt_spinlock_lock(&hp->h_lock);
 	ASSERT(hp->h_ref_count != 0);
 	xt_spinlock_unlock(&hp->h_lock);
@@ -100,7 +100,7 @@
 	if (hp->h_onrelease)
 		(*hp->h_onrelease)(self, hp);
 	if (hp->h_ref_count > 0) {
-#ifdef DEBUG
+#ifdef DEBUG_MEMORY
 	if (hp->h_track)
 		printf("HEAP: -1 %d->%d\n", (int) hp->h_ref_count, (int) hp->h_ref_count-1);
 #endif

=== modified file 'src/heap_xt.h'
--- src/heap_xt.h	2009-03-24 16:24:48 +0000
+++ src/heap_xt.h	2009-05-27 14:42:16 +0000
@@ -25,6 +25,7 @@
 
 #include "xt_defs.h"
 #include "lock_xt.h"
+#include "memory_xt.h"
 
 struct XTThread;
 
@@ -59,7 +60,7 @@
 
 void		xt_check_heap(struct XTThread *self, XTHeapPtr mem);
 
-#ifdef DEBUG
+#ifdef DEBUG_MEMORY
 #define xt_heap_new(t, s, f)		xt_mm_heap_new(t, s, f, __LINE__, __FILE__, FALSE)
 #define xt_heap_new_track(t, s, f)	xt_mm_heap_new(t, s, f, __LINE__, __FILE__, TRUE)
 #define xt_heap_reference(t, s)		xt_mm_heap_reference(t, s, __LINE__, __FILE__)

=== modified file 'src/memory_xt.cc'
--- src/memory_xt.cc	2009-03-19 11:28:00 +0000
+++ src/memory_xt.cc	2009-05-27 14:42:16 +0000
@@ -186,7 +186,7 @@
 	free(ptr);
 }
 
-#ifdef DEBUG
+#ifdef DEBUG_MEMORY
 
 /*
  * -----------------------------------------------------------------------
@@ -849,7 +849,7 @@
 
 xtPublic xtBool xt_init_memory(void)
 {
-#ifdef DEBUG
+#ifdef DEBUG_MEMORY
 	XTThreadPtr	self = NULL;
 
 	if (!xt_init_mutex_with_autoname(NULL, &mm_mutex))
@@ -875,7 +875,7 @@
 
 xtPublic void xt_exit_memory(void)
 {
-#ifdef DEBUG
+#ifdef DEBUG_MEMORY
 	long	mm;
 	int		i;
 
@@ -919,7 +919,7 @@
  * MEMORY ALLOCATION UTILITIES
  */
 
-#ifdef DEBUG
+#ifdef DEBUG_MEMORY
 char	*xt_mm_dup_string(XTThreadPtr self, c_char *str, u_int line, c_char *file)
 #else
 char	*xt_dup_string(XTThreadPtr self, c_char *str)
@@ -931,7 +931,7 @@
 	if (!str)
 		return NULL;
 	len = strlen(str);
-#ifdef DEBUG
+#ifdef DEBUG_MEMORY
 	new_str = (char *) xt_mm_malloc(self, len + 1, line, file);
 #else
 	new_str = (char *) xt_malloc(self, len + 1);

=== modified file 'src/memory_xt.h'
--- src/memory_xt.h	2008-11-21 11:30:42 +0000
+++ src/memory_xt.h	2009-05-27 14:42:16 +0000
@@ -30,6 +30,10 @@
 struct XTThread;
 
 #ifdef DEBUG
+#define DEBUG_MEMORY
+#endif
+
+#ifdef DEBUG_MEMORY
 
 #define XT_MM_STACK_TRACE	200
 #define XT_MM_TRACE_DEPTH	4
@@ -109,7 +113,7 @@
 
 #endif
 
-#ifdef DEBUG
+#ifdef DEBUG_MEMORY
 #define xt_dup_string(t, s)		xt_mm_dup_string(t, s, __LINE__, __FILE__)
 
 char	*xt_mm_dup_string(struct XTThread *self, const char *path, u_int line, const char *file);

